DO
$do$
BEGIN
   if (select count(*) from VCLib.T_IDENTITY where IdentityName = 'iszl_service_user') = 0 then
   
   	with vars as (select gen_random_uuid() as identId, gen_random_uuid() as userId)

    insert into vclib.t_identity (identityid , identityname) values ((select identId from vars), 'iszl_service_user');

	insert into vclib.t_users  (userid , "identity") values ((select userid from vars), (select identId from vars));
	
	insert into iszl.t_users  (userid) values ((select userid from vars));
	
   END IF;
END
$do$